var TPW = {
	util: {}
};

TPW.util.FormData = function () {
	return function (inp, id) {
		var Y = SUI.yG, i = Y.one(inp), n = Y.one('#' + id), data = Y.one('#' + id + '-data').get('innerHTML');
		if (i.get('checked') == true) {
			n.setContent(data);
		}
		else {
			n.setContent('');
		}
	};

} ();

TPW.util.FormAddGuest = function () {
	var num = 1, temp = '<div class="field"><label><span class="point">Guest NUM Full Name *</span> <input type="text" value="" name="guestNUM-full-name" class="required" title="Guest NUM Full Name" /></label>' +
						' <label><span class="point">Guest NUM Email Address</span> <input name="guestNUM-email" type="text" class="validate-email" value="" autocomplete="off" title="Guest NUM Email Address" /></label></div>';

	return {
		add: function (cont, rem) {
			var Y = SUI.yG, c = Y.one(cont), r = Y.one(rem), t = Y.one('#TPW-amount');
			c.append('<div id="TPW-guest' + num + '">' + temp.split('NUM').join(num) + '</div>');
			num++;
			r.setStyle('display', '');
			var val = (parseInt(t.getAttribute('base')) * num) + '' + '.00'
			t.set('value', val);
			t.get('parentNode').one('div.text').setContent('<label><span class="point">Registration Cost:</span> $' + val + '</label>');
		},
		remove: function (cont, rem) {
			var Y = SUI.yG, c = Y.one(cont), r = Y.one(rem), l = Y.one('#TPW-guest' + (num - 1)), t = Y.one('#TPW-amount');
			l.remove();
			num--;
			if (num < 2) {
				r.setStyle('display', 'none');
			}
			var val = (parseInt(t.getAttribute('base'))*num)+''+'.00'
			t.set('value',val);
			t.get('parentNode').one('div.text').setContent('<label><span class="point">Registration Cost:</span> $' + val + '</label>');
		}
	};
} ();

YUI().use('node', 'selector-css3', function (Y) {
	/*
	var links = Y.all('#section10 ul:not(.sub-menu) > li');
	links.setStyle('width', (Y.one('#container').get('offsetWidth') / links.size()) + 'px');
	*/
	(function () {
		var links = Y.all('#section10 ul:not(.sub-menu) > li');
		links.pop().one('a').setStyles({ 'borderRight': '0', 'marginRight': '0' });
	})();

	(function () {
		var homeTiles = Y.all('a.TPW-Tile.home');
		homeTiles.each(function (n, i) {
			var img = n.one('img');
			var label = Y.Node.create('<span class="label">' + img.get('alt') + '</span>');
			n.append(label);
			if ((i + 1) % 2) {
				n.setStyle('float', 'left');
			}
			else {
				n.setStyle('float', 'right');
			}
		});
	})();
	(function () {
		var subTiles = Y.all('a.TPW-Tile.sub'), cur = 0;
		subTiles.each(function (n, i) {
			if (window.location.href.search(n.get('href')) == -1) {
				cur++;
				var img = n.one('img'), alt = img.get('alt').replace(' ', '<br />');


				var label = Y.Node.create('<span class="label">' + alt + '</span>');
				n.append(label);
				if (cur == 1) {
					n.setStyle('float', 'left');
				}
				else if (cur == 3) {
					n.setStyle('float', 'right');
				}
			}
			else {
				n.setStyle('display', 'none');
			}
		});
	})();
	(function () {


		var vidClick = function (e) {
			var n = e.currentTarget, url = n.get('href'), ran = Math.floor(Math.random() * 1000), clone = n.cloneNode(true);
			if ((url.search('youtube') != -1 && url.search(/\?v=/i) != -1) || url.search('youtu.be/') != -1) {
				e.preventDefault();
				var youtubeId = '';
				if (url.search('youtube') != -1) {
					youtubeId = url.slice(url.search(/\?v=/i) + 3);
					if (youtubeId.search('&') != -1) {
						youtubeId = youtubeId.split('&')[0];
					}
				}
				else {
					youtubeId = url.split('be/')[1];
				}
				//var embed = Y.Node.create('<object height="221" width="384" id="ytplayer' + ran + 'a"><param name="allowFullScreen" value="true" /><param name="quality" value="high" /><param name="wmode" value="opaque" /> <param name="movie" value="http://www.youtube.com/v/' + youtubeId + '?version=3&autohide=1&showinfo=0&rel=0&autoplay=1&enablejsapi=1&version=3&playerapiid=ytplayer' + ran + '" /> <param name="allowScriptAccess" value="always" /> <embed allowfullscreen="true" allowScriptAccess="always" height="221" quality="high" src="http://www.youtube.com/v/' + youtubeId + '?version=3&autohide=1&showinfo=0&rel=0&autoplay=1&enablejsapi=1&version=3&playerapiid=ytplayer' + ran + '" type="application/x-shockwave-flash" width="384" wmode="opaque" id="ytplayer' + ran + 'b"></embed> </object>');
				var embed = Y.Node.create('<div style="height: 221px; width: 384px;"><div id="ytapiplayer' + ran + '"></div></div>');
				n.replace(embed);
				var params = { allowScriptAccess: "always", allowFullScreen: 'true', quality: 'high', wmode: 'opaque' };
				var atts = { id: "ytplayer" + ran };
				setTimeout(function () {
					swfobject.embedSWF('http://www.youtube.com/v/' + youtubeId + '?version=3&autohide=1&showinfo=0&rel=0&autoplay=1&enablejsapi=1&playerapiid=ytplayer' + ran,
                       "ytapiplayer" + ran, "384", "221", "8", null, null, params, atts);
				}, 50);
				window['onYouTubePlayerStateytplayer' + ran] = function (s) {
					//console.log(s);


					if (s == 0) {
						swfobject.removeSWF("ytplayer" + ran);
						embed.replace(clone);
						clone.on('click', vidClick);
					}
				};
			}
		};
		var vidlinks = Y.all('a.TPW-VideoReplace');
		vidlinks.each(function (n) {
			n.append('<span class="overlay"></span>');
		});
		vidlinks.on('click', vidClick);
	})();
});

function onYouTubePlayerReady (id) {
	//console.log(id);
	//console.log('attacch');
	var emb = document.getElementById(id);
	if (emb) {
		try {
			if (emb) {
				
				emb.addEventListener("onStateChange", "onYouTubePlayerState" + id);
/*
				console.log(typeof emb);
				console.log(typeof emb.addEventListener);
				console.log(emb.getDuration());
				emb.addEventListener('onError', 'onPlayerError');
				
				emb.addEventListener('onStateChange', '(function(state) { console.log(state); })');
*/
			}
		} catch (e) { }
	}
};